/*
 * GameTheoryConstants.java
 *
 * Created on January 5, 2006, 4:53 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package gametheory;

import java.util.ArrayList;

/**
 * static public class containing package-wide constants.
 *
 * @author Stephen P. Ryan
 */
public class GameTheoryConstants {

    /**
     * Default number of games in the Monte Carlo.
     */
    static public int NUMBER_MONTE_CARLO_GAMES = 25;
    /**
     * Default number of runs in the Monte Carlo.
     */
    static public int NUMBER_MONTE_CARLO_ITERATIONS = 100;
    /**
     * Default number of simulations per game.
     */
    static public int NUMBER_OUTCOMES_PER_GAME = 1;
    /**
     * Default number of players.
     */
    static public int NUM_PLAYERS = 4;
    /**
     * Default number of importance games.
     */
    static public int NUMBER_IMPORTANCE_GAMES = 25;
    /**
     * Switch to use Chernozhukov and Hong's (2003) LTE minimizer.
     */
    static public boolean USE_LTE = true;
    /**
     * Default parameter for firm 1's bid costs
     */
    static public double BID_COST1 = 2.5;
    /**
     * Default parameter for firm 2's bid costs
     */
    static public double BID_COST2 = 2.0;
    /**
     * Default parameter for firm 3's bid costs
     */
    static public double BID_COST3 = 1.5;
    /**
     * Default parameter for firm 4's bid costs
     */
    static public double BID_COST4 = 1.0;
    /**
     * Default parameter for pure strategy equilibrium shifter
     */
    static public double PURE_STRATEGY_EQUILIBRIUM_SHIFTER = -2;
    /**
     * Default parameter for efficient equilibrium shifter
     */
    static public double EFFICIENT_EQUILIBRIUM_SHIFTER = 3;
    /**
     * Default parameter for profit multiplier
     */
    static public double PROFIT_MULTIPLIER = 1.0;
    /**
     * Default  parameter for dominated equilibrium shifter
     */
    static public double DOMINATED_EQUILIBRIUM_SHIFTER = -1;
    /**
     * Count of unknown parameters.
     */
    static public int NUM_PARAMS = 4+NUM_PLAYERS;
    /**
     * Default parameter to plot in GUI.
     */
    static public int PLOT_PARAMETER = 1;
    /**
     * Switch to show plot in GUI.
     */
    static public boolean SHOW_PLOT = false;
    /**
     * Default number of threads to use in distributed task computation.
     */
    static public int NUMBER_THREADS = 8;
    /**
     * List enumerating all possible combinations of discrete actions the agents can take.
     * Used to communicate across different parts of the program.
     */
    static public ArrayList<Jama.Matrix> actionList;
    
}
