/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package utility;

import javax.swing.JTextArea;

/**
 * A simple utility class for automatically scrolling a JTextArea when a String is appended.
 *
 * @author sryan
 */
public class JTextAreaAutoscroll extends JTextArea {

    /**
     * Default constructor.  By default, it does not allow the JTextArea to be edited.
     */
    public JTextAreaAutoscroll() {
        super();
        setEditable(false);
    }

    /**
     * Constructor with an initial String appended to the JTextArea.  By default, it does not allow the JTextArea to be edited.
     *
     * @param s
     */
    public JTextAreaAutoscroll(String s) {
        super(s);
        setEditable(false);
    }

    /**
     * Method for appending a String to the underlying JTextArea.  The method then updates the location of the caret to the end
     * of the document, which will result in the JTextArea automatically scrolling to the bottom if it is embedded in a
     * JScrollPane.
     *
     * @param str
     */
    @Override
    public void append(String str) {
        super.append(str);
        setCaretPosition(getDocument().getLength());
    }
}
